# mongoc_client_pool_new()

## Synopsis

    mongoc_client_pool_t *
    mongoc_client_pool_new (const mongoc_uri_t *uri) BSON_GNUC_WARN_UNUSED_RESULT;

This function creates a new mongoc_client_pool_t using the mongoc_uri_t provided.

## Parameters

- `uri`: A mongoc_uri_t.

## Returns

A newly allocated mongoc_client_pool_t that should be freed with mongoc_client_pool_destroy() when no longer in use. On error, `NULL` is returned and an error may be logged.

See also

mongoc_client_pool_new_with_error()